package ink.wgink.pojo.dtos.group;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @ClassName: GroupDTO
 * @Description: 组
 * @Author: wenc
 * @Date: 2019/1/6 3:50 PM
 * @Version: 1.0
 **/
@ApiModel
public class GroupDTO {

    @ApiModelProperty(name = "groupId", value = "组ID")
    private String groupId;
    @ApiModelProperty(name = "groupParentId", value = "组上级ID")
    private String groupParentId;
    @ApiModelProperty(name = "groupParentName", value = "组上级名称")
    private String groupParentName;
    @ApiModelProperty(name = "isParent", value = "是否父级")
    private Boolean isParent;
    @ApiModelProperty(name = "groupName", value = "组名称")
    private String groupName;
    @ApiModelProperty(name = "groupSummary", value = "组说明")
    private String groupSummary;
    @ApiModelProperty(name = "groupCode", value = "组编码")
    private String groupCode;
    @ApiModelProperty(name = "subGroups", value = "子组列表")
    private List<GroupDTO> subGroups;

    public String getGroupId() {
        return groupId == null ? "" : groupId.trim();
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupParentId() {
        return groupParentId == null ? "" : groupParentId.trim();
    }

    public void setGroupParentId(String groupParentId) {
        this.groupParentId = groupParentId;
    }

    public String getGroupParentName() {
        return groupParentName == null ? "" : groupParentName.trim();
    }

    public void setGroupParentName(String groupParentName) {
        this.groupParentName = groupParentName;
    }

    public Boolean getParent() {
        return isParent;
    }

    public void setParent(Boolean parent) {
        isParent = parent;
    }

    public String getGroupName() {
        return groupName == null ? "" : groupName.trim();
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupSummary() {
        return groupSummary == null ? "" : groupSummary.trim();
    }

    public void setGroupSummary(String groupSummary) {
        this.groupSummary = groupSummary;
    }

    public String getGroupCode() {
        return groupCode == null ? "" : groupCode.trim();
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    public List<GroupDTO> getSubGroups() {
        return subGroups;
    }

    public void setSubGroups(List<GroupDTO> subGroups) {
        this.subGroups = subGroups;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"groupId\":")
                .append("\"").append(groupId).append("\"");
        sb.append(",\"groupParentId\":")
                .append("\"").append(groupParentId).append("\"");
        sb.append(",\"groupParentName\":")
                .append("\"").append(groupParentName).append("\"");
        sb.append(",\"isParent\":")
                .append(isParent);
        sb.append(",\"groupName\":")
                .append("\"").append(groupName).append("\"");
        sb.append(",\"groupSummary\":")
                .append("\"").append(groupSummary).append("\"");
        sb.append(",\"groupCode\":")
                .append("\"").append(groupCode).append("\"");
        sb.append(",\"subGroups\":")
                .append(subGroups);
        sb.append('}');
        return sb.toString();
    }
}