package ink.wgink.pojo.dtos.role;

import ink.wgink.pojo.dtos.permission.PermissionDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: PermissionDTO
 * @Description: 权限
 * @Author: WenG
 * @Date: 2020-05-27 15:58
 * @Version: 1.0
 **/
@ApiModel
public class RolePermissionDTO extends PermissionDTO {

    @ApiModelProperty(name = "roleId", value = "角色ID")
    private String roleId;

    public String getRoleId() {
        return roleId == null ? "" : roleId.trim();
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"roleId\":")
                .append("\"").append(roleId).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
