package ink.wgink.service.department.service;

import ink.wgink.exceptions.SaveException;
import ink.wgink.exceptions.UpdateException;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IDepartmentUserAdjustmentService
 * @Description: 部门用户调整
 * @Author: wanggeng
 * @Date: 2021/1/29 11:35 上午
 * @Version: 1.0
 */
public interface IDepartmentUserAdjustmentService {

    /**
     * 新增部门用户调整
     *
     * @param params
     * @throws SaveException
     */
    void save(Map<String, Object> params) throws SaveException;
}
