package ink.wgink.pojo.dtos.permission;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: PermissionDTO
 * @Description: 权限
 * @Author: WenG
 * @Date: 2020-05-27 15:58
 * @Version: 1.0
 **/
@ApiModel
public class PermissionDTO {

    @ApiModelProperty(name = "permissionId", value = "主键")
    private String permissionId;
    @ApiModelProperty(name = "permissionTitle", value = "权限名称")
    private String permissionTitle;
    @ApiModelProperty(name = "permissionType", value = "权限类型")
    private String permissionType;
    @ApiModelProperty(name = "permissionUrl", value = "权限路径")
    private String permissionUrl;
    @ApiModelProperty(name = "permissionClientId", value = "客户端")
    private String permissionClientId;
    @ApiModelProperty(name = "permissionClientName", value = "客户端字典名称")
    private String permissionClientName;
    @ApiModelProperty(name = "isPublic", value = "是否公共")
    private Integer isPublic;

    public String getPermissionId() {
        return permissionId == null ? "" : permissionId;
    }

    public void setPermissionId(String permissionId) {
        this.permissionId = permissionId;
    }

    public String getPermissionTitle() {
        return permissionTitle == null ? "" : permissionTitle.trim();
    }

    public void setPermissionTitle(String permissionTitle) {
        this.permissionTitle = permissionTitle;
    }

    public String getPermissionType() {
        return permissionType == null ? "" : permissionType;
    }

    public void setPermissionType(String permissionType) {
        this.permissionType = permissionType;
    }

    public String getPermissionUrl() {
        return permissionUrl == null ? "" : permissionUrl;
    }

    public void setPermissionUrl(String permissionUrl) {
        this.permissionUrl = permissionUrl;
    }

    public String getPermissionClientId() {
        return permissionClientId == null ? "" : permissionClientId;
    }

    public void setPermissionClientId(String permissionClientId) {
        this.permissionClientId = permissionClientId;
    }

    public String getPermissionClientName() {
        return permissionClientName == null ? "" : permissionClientName.trim();
    }

    public void setPermissionClientName(String permissionClientName) {
        this.permissionClientName = permissionClientName;
    }

    public Integer getIsPublic() {
        return isPublic == null ? 0 : isPublic;
    }

    public void setIsPublic(Integer isPublic) {
        this.isPublic = isPublic;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"permissionId\":")
                .append("\"").append(permissionId).append("\"");
        sb.append(",\"permissionTitle\":")
                .append("\"").append(permissionTitle).append("\"");
        sb.append(",\"permissionType\":")
                .append("\"").append(permissionType).append("\"");
        sb.append(",\"permissionUrl\":")
                .append("\"").append(permissionUrl).append("\"");
        sb.append(",\"permissionClientId\":")
                .append("\"").append(permissionClientId).append("\"");
        sb.append(",\"permissionClientName\":")
                .append("\"").append(permissionClientName).append("\"");
        sb.append(",\"isPublic\":")
                .append(isPublic);
        sb.append('}');
        return sb.toString();
    }
}
